local L = AceLibrary("AceLocale-2.2"):new("Elephant")
local Elephant, self = Elephant, Elephant

function Elephant:HandleMessage(event)
	if not self.db.profile.events[event] then return end
	
	local msg, msg2
	--[[ Channels ]]
	if event == "CHAT_MSG_CHANNEL" then
		if arg1 == nil or arg2 == nil or arg9 == nil or arg9 == "" then return end
	
		local larg9 = string.lower(arg9)
		local cIndex
		for k,v in pairs(L['generalchats']) do
			if (larg9 == k) or string.find(larg9, k .. " - ") then
				cIndex = k
				break
			end
		end
		if cIndex == nil then cIndex = larg9 end
		
		if not self.db.char.logs[cIndex].enabled then return end
		
		local msg = {
			['time'] = time(),
			['arg1'] = arg1,
			['arg6'] = arg6,
			['arg9'] = arg9
		}
		if arg2 ~= "" then
			msg['arg2'] = arg2
		end
		self:CaptureNewMessage(msg, cIndex)
	elseif event == "CHAT_MSG_CHANNEL_NOTICE" then
		if arg1 == nil or arg9 == nil or arg9 == "" then return end
	
		local larg9 = string.lower(arg9)
		local cIndex
		for k,v in pairs(L['generalchats']) do
			if (larg9 == k) or string.find(larg9, k .. " - ") then
				cIndex = k
				break
			end
		end
		if cIndex == nil then cIndex = larg9 end
		
		if arg1 == "YOU_JOINED" then
			self:InitCustomStructure(cIndex, arg9)
			
			if not self.db.char.logs[cIndex].enabled then return end
			
			self:CaptureNewMessage( { ['type'] = "SYSTEM", ['arg1'] = L['customchat']['join'] } , cIndex)
			if self.db.char.currentlogindex == cIndex then
				self:UpdateCurrentLogButtons()
			end
		end
		if arg1 == "YOU_LEFT" then
			if not self.db.char.logs[cIndex].enabled then return end
			
			self:CaptureNewMessage( { ['type'] = "SYSTEM", ['arg1'] = L['customchat']['leave'] } , cIndex)
			self:CaptureNewMessage( { ['arg1'] = " " } , cIndex)
			if self.db.char.currentlogindex == cIndex then
				self:UpdateCurrentLogButtons()
				self:ForceCurrentLogDeleteButtonStatus(true)
			end
		end
	--[[ Default messages ]]
	else
		msg = {
			['time'] = time(),
			['type'] = self.db.profile.events[event].type,
			['arg1'] = arg1
		}
		
		if	event == "CHAT_MSG_BATTLEGROUND" or
			event == "CHAT_MSG_BATTLEGROUND_LEADER" or
			event == "CHAT_MSG_WHISPER" or
			event == "CHAT_MSG_WHISPER_INFORM" or
			event == "CHAT_MSG_MONSTER_WHISPER" or
			event == "CHAT_MSG_RAID" or
			event == "CHAT_MSG_RAID_LEADER" or
			event == "CHAT_MSG_RAID_WARNING" or
			event == "CHAT_MSG_PARTY" or
			event == "CHAT_MSG_SAY" or
			event == "CHAT_MSG_MONSTER_SAY" or
			event == "CHAT_MSG_YELL" or
			event == "CHAT_MSG_MONSTER_YELL" or
			event == "CHAT_MSG_OFFICER" or
			event == "CHAT_MSG_GUILD" or
			event == "CHAT_MSG_EMOTE" or
			event == "CHAT_MSG_MONSTER_EMOTE"
		then
			msg.arg2 = arg2
		end
		
		if event == "CHAT_MSG_WHISPER" then
			msg.arg6 = arg6
		end
		
		if event == "PARTY_LOOT_METHOD_CHANGED" then
			local method, masterloot_party, masterloot_raid = GetLootMethod()
			
			if method ~= self.defaultConf.lootmethod then
				self.defaultConf.lootmethod = method
				msg.arg1 = L['lootmethod'][method]
			end
			
			if masterloot_party or masterloot_raid then
				local player
				if UnitInRaid("player") then
					player = GetRaidRosterInfo(masterloot_raid)
				else
					if masterloot_party > 0 then
						player = UnitName("party" .. masterloot_party)
					else
						player = UnitName("player")
					end
				end
				
				if player ~= self.defaultConf.masterlooter then
					self.defaultConf.masterlooter = player
					
					msg2 = {
						['time'] = time(),
						['type'] = self.db.profile.events[event].type,
						['arg1'] = format(L['masterlooterchanged'], player)
					}
				end
			else
				self.defaultConf.masterlooter = nil
			end
		end

		local k
		for k in pairs(self.db.profile.events[event].channels) do
			if self.db.profile.events[event][k] ~= 0 and self.db.char.logs[k].enabled then
				self:CaptureNewMessage(msg, k)
				if msg2 ~= nil then
					self:CaptureNewMessage(msg2, k)
				end
			end
		end
	end
end