local L = AceLibrary("AceLocale-2.2"):new("Elephant")

L:RegisterTranslations("enUS", function() return {
	--[[ Common messages ]]
	['chatlog']			= "Log the chat to a file",
	['combatlog']		= "Log the combat chat to a file",
	['disabled']		= "Disabled",
	['enabled']			= "Enabled",
	['enableddefault']	= "Log new channels",
	['reset']			= "Reset",
	['toggle']			= "Toggle Elephant",
	
	--[[ Options menu elements ]]
	['clearallhelp']		= "Clear all the logs",
	['logs']				= "Logs",
	['maxcombatlogwords']	= "Max combat log",
	['maxlogwords']			= "Max log",
	['resethelp']			= "Reset all settings and chats",
	['resetloc']			= "Reset Elephant main window position",
	['showbutton']			= "Show button",
	
	--[[ Main/Copy frame elements ]]
	-- Main
	['clearall']	= "Clear all",
	['copy']		= "Copy",
	['Disable']		= DISABLE,
	['Empty']		= EMPTY,
	['Enable']		= ENABLE,
	['maxlog']		= "Max log: %s lines.",
	['nblines']		= "Lines: %s",
	['scroll']		= {
		['bottom']		= {
			[1]	= "Scroll to bottom",
		},
		['linedown']	= {
			[1]	= "Scroll one line down",
		},
		['lineup']		= {
			[1]	= "Scroll one line up",
		},
		['pagedown']	= {
			[1]	= "Scroll one page down",
		},
		['pageup']		= {
			[1]	= "Scroll one page up",
		},
		['top']			= {
			[1]	= "Scroll to top",
		},
	},
	
	-- Copy
	['copywindow']	= "Copy window",
	
	--[[ Special log messages ]]
	['logstartedon']	= "Logging started on %s at %s.",
	['logstopped']		= "Logging stopped.",
	['monstersay']		= "%s says",
	['monsteryell']		= "%s yells",
	['whisperfrom']		= "%s whispers",
	['whisperto']		= "To %s",
	
	--[[ Addon messages ]]
	['chatlogdisabled']		= "This function is disabled.",
	['clearallconfirm']		= "All chats cleared.",
	['combatlogdisabled']	= "This function is disabled.",
	['deleteconfirm']		= "Chat deleted: %s",
	['emptyconfirm']		= "Chat cleared: %s",
	['lootmethod']			= {
		['freeforall']		= ERR_SET_LOOT_FREEFORALL,
		['group']			= ERR_SET_LOOT_GROUP,
		['master']			= ERR_SET_LOOT_MASTER,
		['needbeforegreed']	= ERR_SET_LOOT_NBG,
		['roundrobin']		= ERR_SET_LOOT_ROUNDROBIN,
	},
	['masterlooterchanged']	=  ERR_NEW_LOOT_MASTER_S,
	['resetconfirm']		= "Reseted all settings and chats.",
	
	--[[ Tooltips ]]
	['chatlogtooltip']			= {
		[1]	= "Log the chat to a file",
		[2]	= "Logs the chat (not the combat log)",
		[3]	= "to Logs\\WoWChatLog.txt",
	},
	['combatlogtooltip']		= {
		[1]	= "Log the combat chat to a file",
		[2]	= "Logs the combat chat",
		[3]	= "to Logs\\WoWCombatLog.txt",
	},
	['enableddefaulttooltip']	= {
		[1]	= "Log new channels",
		[2]	= "Automaticaly starts logging",
		[3]	= "when you join a new channel.",
	},
	['togglebuttontooltip']		= {
		[1]	= "Left-Click to toggle Elephant",
		[2]	= "Middle-Click to reset button position.",
		[3]	= "Right-Click to move button.",
	},
	['toggletooltip']			= "Left-Click to toggle Elephant.",
	
	--[[ Popup windows ]]
	['clearallpopup']	= {
		[1]	= "This will clear all logs.",
		[2]	= "Ok",
		[3]	= "Cancel",
	},
	['emptypopup']		= {
		[1]	= "This will clear the current log.",
		[2]	= "Ok",
		[3]	= "Cancel",
	},
	['resetpopup']		= {
		[1]	= "This will reset all settings and chats.",
		[2]	= "Ok",
		[3]	= "Cancel",
	},
	
	--[[ Default chat names to be displayed ]]
	['chatnames']	= {
		['combat']	= "Combat",
		['custom']	= "Custom chats",
		['general']	= "General chats",
		['guild']	= CHAT_MSG_GUILD,
		['loot']	= CHAT_MSG_LOOT,
		['misc']	= "Misc.",
		['officer']	= CHAT_MSG_OFFICER,
		['party']	= CHAT_MSG_PARTY,
		['raid']	= CHAT_MSG_RAID,
		['say']		= CHAT_MSG_SAY,
		['system']	= SYSTEM_MESSAGES,
		['whisper']	= WHISPER,
		['yell']	= YELL_MESSAGE,
	},
	
	--[[ General chats (= that you cannot leave) names and strings that identify them ]]
	['generalchats']	= {
		['localdefense']		= {
			['name']	= "Local defense",
			['string']	= "localdefense",
		},
		['general']				= {
			['name']	= "General",
			['string']	= "general",
		},
		['guildrecruitment']	= {
			['name']	= "Guild recruitment",
			['string']	= "guildrecruitment",
		},
		['trade']				= {
			['name']	= "Trade",
			['string']	= "trade",
		},
		['worlddefense']		= {
			['name']	= "World defense",
			['string']	= "worlddefense",
		},
	},
	
	--[[ Custom chats special log messages ]]
	['customchat']	= {
		['join']	= "You joined channel.",
		['leave']	= "You left channel.",
	},
} end)