local L = AceLibrary("AceLocale-2.2"):new("Elephant")

L:RegisterTranslations("zhTW", function() return {
	--[[ Common messages ]]
	['chatlog']			= "將聊天記錄保存為檔案",
	['combatlog']		= "將戰鬥記錄保存為檔案",
	['disabled']		= "已停用",
	['enabled']			= "已啓用",
	['enableddefault']	= "記錄新頻道",
	['reset']			= "重設",
	['toggle']			= "顯示 Elephant",
	
	--[[ Options menu elements ]]
	['clearallhelp']		= "清除所有記錄",
	['logs']				= "記錄",
	['maxcombatlogwords']	= "戰鬥最多記錄",
	['maxlogwords']			= "聊天最多記錄",
	['resethelp']			= "重設所有設定及聊天記錄",
	['resetloc']			= "重設 Elephant 視窗位置",
	['showbutton']			= "顯示按鈕",
	
	--[[ Main/Copy frame elements ]]
	-- Main
	['clearall']	= "清除所有",
	['copy']		= "複製",
	['Disable']		= "停用",
	['Empty']		= "清除",
	['Enable']		= "啓用",
	['maxlog']		= "最多記錄: %s行。",
	['nblines']		= "行: %s",
	['scroll']		= {
		['bottom']		= {
			[1]	= "最後一頁",
		},
		['linedown']	= {
			[1]	= "下一行",
		},
		['lineup']		= {
			[1]	= "上一行",
		},
		['pagedown']	= {
			[1]	= "下一頁",
		},
		['pageup']		= {
			[1]	= "上一頁",
		},
		['top']			= {
			[1]	= "第一頁",
		},
	},
	
	-- Copy
	['copywindow']	= "複製視窗",
	
	--[[ Special log messages ]]
	['logstartedon']	= "記錄開始日期: %s，時間: %s。",
	['logstopped']		= "記錄停止。",
	['monstersay']		= "%s說",
	['monsteryell']		= "%s大喊",
	['whisperfrom']		= "%s悄悄地說",
	['whisperto']		= "告訴%s",
	
	--[[ Addon messages ]]
	['chatlogdisabled']		= "聊天記錄被停用。",
	['clearallconfirm']		= "已清除所有聊天記錄。",
	['combatlogdisabled']	= "戰鬥記錄被停用。",
	['deleteconfirm']		= "已刪除聊天記錄: %s",
	['emptyconfirm']		= "已清除聊天記錄: %s",
	['lootmethod']			= {
		['freeforall']		= ERR_SET_LOOT_FREEFORALL,
		['group']			= ERR_SET_LOOT_GROUP,
		['master']			= ERR_SET_LOOT_MASTER,
		['needbeforegreed']	= ERR_SET_LOOT_NBG,
		['roundrobin']		= ERR_SET_LOOT_ROUNDROBIN,
	},
	['masterlooterchanged']	=  ERR_NEW_LOOT_MASTER_S,
	['resetconfirm']		= "已重設所有設定及聊天記錄。",
	
	--[[ Tooltips ]]
	['chatlogtooltip']			= {
		[1]	= "將聊天記錄保存為檔案",
		[2]	= "聊天記錄 (並非戰鬥記錄)",
		[3]	= "保存在 Logs\\WoWChatLog.txt",
	},
	['combatlogtooltip']		= {
		[1]	= "將戰鬥記錄保存為檔案",
		[2]	= "戰鬥記錄",
		[3]	= "保存在 Logs\\WoWCombatLog.txt",
	},
	['enableddefaulttooltip']	= {
		[1]	= "記錄新頻道",
		[2]	= "自動開始記錄",
		[3]	= "當你加入新頻道時。",
	},
	['togglebuttontooltip']		= {
		[1]	= "|cffeda55f左擊: |r顯示 Elephant。",
		[2]	= "|cffeda55f中擊: |r重設按鈕位置。",
		[3]	= "|cffeda55f右擊: |r移動位置。",
	},
	['toggletooltip']			= "\n|cffeda55f左擊: |r顯示 Elephant。",
	
	--[[ Popup windows ]]
	['clearallpopup']	= {
		[1]	= "是否要清除所有記錄?",
		[2]	= "確定",
		[3]	= "取消",
	},
	['emptypopup']		= {
		[1]	= "是否清除目前的聊天記錄?",
		[2]	= "確定",
		[3]	= "取消",
	},
	['resetpopup']		= {
		[1]	= "是否要重設所有設定及聊天記錄?",
		[2]	= "確定",
		[3]	= "取消",
	},
	
	--[[ Default chat names to be displayed ]]
	['chatnames']	= {
		['combat']	= "戰鬥",
		['custom']	= "自訂頻道",
		['general']	= "綜合頻道",
		['guild']	= CHAT_MSG_GUILD,
		['loot']	= CHAT_MSG_LOOT,
		['misc']	= "雜項",
		['officer']	= CHAT_MSG_OFFICER,
		['party']	= CHAT_MSG_PARTY,
		['raid']	= CHAT_MSG_RAID,
		['say']		= CHAT_MSG_SAY,
		['system']	= SYSTEM_MESSAGES,
		['whisper']	= WHISPER,
		['yell']	= YELL_MESSAGE,
	},
	
	--[[ General chats (= that you cannot leave) names and strings that identify them ]]
	['generalchats']	= {
		['本地防務']	= {
			['name']	= "本地防務",
			['string']	= "本地防務",
		},
		['綜合']		= {
			['name']	= "綜合",
			['string']	= "綜合",
		},
		['公會招募']	= {
			['name']	= "公會招募",
			['string']	= "公會招募",
		},
		['交易']		= {
			['name']	= "交易",
			['string']	= "交易",
		},
		['世界防務']	= {
			['name']	= "世界防務",
			['string']	= "世界防務",
		},
	},
	
	--[[ Custom chats special log messages ]]
	['customchat']	= {
		['join']	= "你進入了頻道。",
		['leave']	= "你離開了頻道。",
	},
} end)